* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgb(250, 250, 250);
}

.wifi-form {
  background-color: rgb(255, 255, 255);
  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.2),
    0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 2px 1px -1px rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  padding: 16px;
}

.wifi-form > h1 {
  display: block;
  font-size: 1rem;
  font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.00938em;
  color: rgba(0, 0, 0, 0.54);
}

.wifi-form > fieldset {
  border: none;
  padding: 0px;
  margin: 0px;
}

.wifi-form > fieldset > label {
  border: none;
  display: block;
  padding: 8px;
  width: 100%;
  margin: 8px 0px;
}

.wifi-form > fieldset > input {
  border: 1px solid rgba(0, 0, 0, 0.54);
  border-radius: 4px;
  padding: 8px;
  margin: 8px 0px;
  width: 100%;
  font-size: 16px;
  outline: none;
}

.wifi-form > input[type='submit'] {
  border: none;
  margin-top: 8px;
  border-radius: 4px;
  font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
  font-weight: 500;
  line-height: 1.75;
  color: #fff;
  background-color: #1976d2;
  padding: 6px 16px;
  font-size: 0.875rem;
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.2),
    0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 3px 1px -2px rgba(0, 0, 0, 0.12);
  outline: none;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.wifi-form > input[type='submit']:hover {
  cursor: pointer;
  background-color: #1976d2;
  box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2),
    0px 8px 10px 1px rgba(0, 0, 0, 0.14), 0px 3px 14px 2px rgba(0, 0, 0, 0.12);
  outline: none;
}

.wifi-form > input[type='submit']:active {
  cursor: pointer;
  background-color: rgb(17, 82, 147);
  box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2),
    0px 8px 10px 1px rgba(0, 0, 0, 0.14), 0px 3px 14px 2px rgba(0, 0, 0, 0.12);
  outline: none;
}
